Skip to main content
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
branches
/
{branch}
/
insights
/
{fingerprint}
Retrieve query statistics
curl --request GET \
  --url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/insights/{fingerprint} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/insights/{fingerprint}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/insights/{fingerprint}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "type": "<string>",
  "current_page": 123,
  "next_page": 123,
  "next_page_url": "<string>",
  "prev_page": 123,
  "prev_page_url": "<string>",
  "data": [
    {
      "id": "<string>",
      "password": {},
      "tags": [
        {}
      ],
      "fingerprint": "<string>",
      "started_at": "<string>",
      "statement_type": "<string>",
      "keyspace": "<string>",
      "tables": [
        "<string>"
      ],
      "username": "<string>",
      "remote_address": "<string>",
      "shard_queries": 123,
      "rows_read": 123,
      "rows_affected": 123,
      "rows_returned": 123,
      "total_duration_millis": 123,
      "error_message": "<string>",
      "normalized_sql": "<string>",
      "syntax_highlighted_sql": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "explainable": true,
      "truncated": true
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

fingerprint
string
required

The query fingerprint

Query Parameters

keyspace
string

The keyspace to filter by

from
string

Start time for filtering query statistics (ISO 8601 timestamp)

to
string

End time for filtering query statistics (ISO 8601 timestamp)

period
string

Time period for filtering query statistics (e.g., '1h', '24h')

page
integer
default:1

If provided, specifies the page offset of returned results

per_page
integer
default:25

If provided, specifies the number of returned results

Response

Returns detailed query statistics

type
string
required

The response type. Always "list" for paginated responses.

current_page
integer
required

The current page number

next_page
integer | null
required

The next page number, or null when this is the last page

next_page_url
string | null
required

The next page of results, or null when this is the last page

prev_page
integer | null
required

The previous page number, or null when this is the first page

prev_page_url
string | null
required

The previous page of results, or null when this is the first page

data
object[]
required